from PASTEC.utils.IDemand import IDemand

class Demand(IDemand):
    '''
    Demand that have to be on Black board demand
    '''

    def __init__(self, agent, consensusName):
        '''
        Constructor
        @param agent: agent name (@type : string)
        @param consensusName: consensus Name (@type : string) 
        '''
        
        self.agent = agent
        self.consensusName = consensusName
                
    def __eq__(self, o):
        return o.agent == self.agent and o.consensusName == self.consensusName 