from PASTEC.utils.AbstractClassifierAgent import AbstractClassifierAgent

class MITE_Agent(AbstractClassifierAgent):

    CI_MAX = 5
    INIT_CLASSIF = "!MITE"
    COMPLEXE_CONDITIONS = [('termTIR', '<700bps')]
    PATTERN_2_SEARCH_IN_BLAST_RESULTS = ":MITE"
    CATEGORY_LENGTH_BOUND = [700]
    
    def __init__(self, env):
        self._environment = env
        self._dAgentName2AnalyserInstance = {}
        self._listOfKnownAgents = ["Size_Agent", "TRSearch_Agent", "TE_BLRx_Agent", "TE_BLRtx_Agent"]
        self._CI = 0
    
    def getAgentName(self):
        return "MITE"
    
    def makeAppropriateConclusionsForTRSearch_Agent(self, iDemandAndResult):
        if iDemandAndResult != None:
            for iResult in iDemandAndResult.result:
                if "termTIR" == iResult.getType():
                    self._conclusionsSearch.append(iResult)