from PASTEC.utils.IResult import IResult

class PolyA_Result(IResult):
    '''
    This class contains result of polyA search, that have to fill a black board result
    '''

    def __init__ (self, demand, polyA):
        '''
        Constructor
        @param demand: demand (@type : demand Object)
        @param polyA: True or False (@type : boolean) 
        '''
        self.demand = demand
        self.polyA = polyA

    def __eq__(self, o):
        return o.demand == self.demand and o.polyA == self.polyA   