from PASTEC.utils.IResult import IResult

class ProfilesResult(IResult):
    ## This class contains result of profiles search, that have to fill a black board result
    #
    # Inherit from IResult

    def __init__ (self, demand, listProfilesDetailed):
    # Constructor
    #
    # @param demand Instance of Demand
    # @param listProfilesDetailed list of dict of profiles (keys : index, type, name, coverage, start on the consensus sequence
    #
        self.demand = demand
        self.listProfilesDetailed = listProfilesDetailed

    def __eq__(self, o):
        return o.demand == self.demand and o.listProfilesDetailed == self.listProfilesDetailed
        