from PASTEC.utils.AbstractClassifierAgent import AbstractClassifierAgent

class TRIM_Agent(AbstractClassifierAgent):
    
    CI_MAX = 5
    INIT_CLASSIF = "!TRIM"
    COMPLEXE_CONDITIONS = [('termLTR', '<1000bps')]
    PATTERN_2_SEARCH_IN_BLAST_RESULTS = ":TRIM"
    DECREASED_CI_CONDITIONS = [">1000bps"]
    CATEGORY_LENGTH_BOUND = [1000]
    
    def __init__(self, env):
        self._environment = env
        self._dAgentName2AnalyserInstance = {}
        self._listOfKnownAgents = ["Size_Agent", "TRSearch_Agent", "TE_BLRx_Agent", "TE_BLRtx_Agent"]
        self._CI = 0
    
    def getAgentName(self):
        return "TRIM"
    
    def makeAppropriateConclusionsForTRSearch_Agent(self, iDemandAndResult):
        if iDemandAndResult != None:
            for iResult in iDemandAndResult.result:
                if "termLTR" == iResult.getType():
                    self._conclusionsSearch.append(iResult)