from PASTEC.utils.AbstractClassifierAgent import AbstractClassifierAgent
import re

class Crypton_Agent(AbstractClassifierAgent):
    
    CI_MAX = 5
    INIT_CLASSIF = "!Crypton"
    #COMPLEXE_CONDITIONS = [('!termLTR', '!termTIR', 'YR')]
    PATTERN_2_SEARCH_IN_BLAST_RESULTS = '(Crypton|CRYPTON)'
    PROFILES_2_SEARCH_IN_ORF = ('YR')
    INCREASED_CI_CONDITIONS = [">700bps"]
    DECREASED_CI_CONDITIONS = [">10000bps"]
    CATEGORY_LENGTH_BOUND = [700]

    def getAgentName(self):
        return "Crypton"

    def makeAppropriateConclusionsForTRSearch_Agent(self, iDemandAndResult):
        if iDemandAndResult != None:
            for iResult in iDemandAndResult.result:
                if "termLTR" == iResult.getType():
                    self._conclusionsSearch.append(iResult)
                if "termTIR" == iResult.getType():
                    self._conclusionsSearch.append(iResult)

    #TODO: how to handle "!term" ?
    def _decideForComplexConditions(self, classification):
        for conclusion in self._conclusionsSearch:
            if re.match("termLTR", str(conclusion)) or re.match("termTIR", str(conclusion)):
                return classification
        for conclusion in self._conclusionsMatch:
            if conclusion.has_key('type') and re.match("YR", conclusion['type']):
                classification = self.getAgentName()
                self._CI += 1
        return classification