from PASTEC.utils.IResult import IResult

class ORF_Result(IResult):
    '''
    This class contains result ORF if they have a significant length and if they contains profiles in the same frame search, that have to fill a black board result
    '''

    def __init__ (self, demand, ORF_List):
        '''
        Constructor
        @param demand: demand (@type : demand Object)
        @param ORF_List:list of ORF type and profiles type included in the ORF (@type : list of string) 
        '''
        self.demand = demand
        self.ORF_List = ORF_List

    def __eq__(self, o):
        return o.demand == self.demand and o.ORF_List == self.ORF_List   
    
    def isEmpty(self):
        return  self.ORF_List == []