## Interface for an Agent
# This class emulates an interface for an Agent.
# All Agents are subclasses of IAgent. 

class IAgent(object):
    
    ## Three main step : make demands, get results and decide
    #
    # Three type of Agent : Analyser Agent get data in database and create a result with useful informations.
    #                       Classifier Agent create demands for Analyser Agent, retrieve results, and deduce the classification.
    #                       Super Agent summarize and reconcile Classifier Agent's results.
    def live(self):
        pass
    
    def createNeededAgentInstance(self):
        pass
